Index: trunk/examples/extended/parallel/MPI/exMPI02/GNUmakefile
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/GNUmakefile	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/GNUmakefile	(revision 1337)
@@ -1,12 +1,15 @@
-# $Id: GNUmakefile,v 1.1 2007/11/16 14:28:34 kmura Exp $
-# $Name: geant4-09-03-cand-01 $
+# $Id: GNUmakefile,v 1.2 2010/01/11 16:55:08 gcosmo Exp $
+# $Name: geant4-09-04-beta-01 $
 # ===========================================================
 #   Makefile for building G4 MPI aplication
 # ===========================================================
-name := exMPI02#
+
+name := exMPI02
 G4TARGET := $(name)
 G4EXLIB := true
 
-G4WORKDIR := .
+ifndef G4INSTALL
+  G4INSTALL = ../../../../..
+endif
 
 .PHONY: all
Index: trunk/examples/extended/parallel/MPI/exMPI02/History
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/History	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/History	(revision 1337)
@@ -1,3 +1,3 @@
-$Id: History,v 1.1 2007/11/16 14:28:34 kmura Exp $
+$Id: History,v 1.3 2010/06/06 05:07:23 perl Exp $
 -------------------------------------------------------------------
 
@@ -9,6 +9,11 @@
                           ---------------
 
+4 June 2010 J.Perl
+ - Updated vis usage.
+
+18 May 2010 K.Murakami
+ - use G4UIcsh instead of G4UItcsh because OpenMPI is now default.
+
 16 Nov. 2007 K.Murakami
  - commited to G4 CVS.
 
-
Index: trunk/examples/extended/parallel/MPI/exMPI02/exMPI02.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/exMPI02.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/exMPI02.cc	(revision 1337)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: exMPI02.cc,v 1.1 2007/11/16 14:28:34 kmura Exp $
-// $Name: geant4-09-03-cand-01 $
+// $Id: exMPI02.cc,v 1.2 2010/05/18 06:08:30 kmura Exp $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
@@ -45,5 +45,4 @@
 #include "G4MPImanager.hh"
 #include "G4MPIsession.hh"
-#include "G4UItcsh.hh"
 
 #ifdef G4VIS_USE
@@ -71,8 +70,5 @@
   prompt+= "G4MPI";
   prompt+= "[40;31m(%s)[40;36m[%/][00;30m:";
-
-  G4UItcsh* tcsh= new G4UItcsh(prompt);
-  tcsh-> SetLsColor(BLUE,RED);
-  session-> SetShell(tcsh);
+  session-> SetPrompt(prompt);
 
   // --------------------------------------------------------------------
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/Analysis.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/Analysis.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/Analysis.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: Analysis.hh,v 1.1 2007/11/16 14:29:32 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.1 2007/11/16 14:29:32 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/EventAction.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2007/12/10 16:28:34 gunter Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   EventAction.hh
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/MedicalBeam.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/MedicalBeam.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/MedicalBeam.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MedicalBeam.hh,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   MedicalBeam.hh
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/RunAction.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.2 2007/12/10 16:28:39 gunter Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   RunAction.hh
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelParam.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelParam.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelParam.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: VoxelParam.hh,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelSD.hh
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelSD.hh	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/include/VoxelSD.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: VoxelSD.hh,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/Analysis.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/Analysis.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/Analysis.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: Analysis.cc,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/DetectorConstruction.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/DetectorConstruction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/EventAction.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/EventAction.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/EventAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.2 2007/12/10 16:28:52 gunter Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   EventAction.cc
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/MedicalBeam.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/MedicalBeam.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/MedicalBeam.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: MedicalBeam.cc,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   MedicalBeam.cc
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/RunAction.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/RunAction.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/RunAction.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.cc,v 1.2 2007/12/10 16:28:54 gunter Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 // ====================================================================
 //   RunAction.cc
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelParam.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelParam.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelParam.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: VoxelParam.cc,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelSD.cc
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelSD.cc	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/src/VoxelSD.cc	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: VoxelSD.cc,v 1.1 2007/11/16 14:29:33 kmura Exp $
-// $Name:  $
+// $Name: geant4-09-04-beta-01 $
 //
 // ====================================================================
Index: trunk/examples/extended/parallel/MPI/exMPI02/v.mac
===================================================================
--- trunk/examples/extended/parallel/MPI/exMPI02/v.mac	(revision 1230)
+++ trunk/examples/extended/parallel/MPI/exMPI02/v.mac	(revision 1337)
@@ -1,17 +1,68 @@
-/vis/verbose 0
-
-/vis/open OGLIX
-
-/vis/scene/create
-/vis/scene/add/volume
-
-/vis/sceneHandler/attach
-
+# Use this open statement to create an OpenGL view:
+/vis/open OGL 600x600-0+0
+#
+# Use this open statement to create a .prim file suitable for
+# viewing in DAWN:
+#/vis/open DAWNFILE
+#
+# Use this open statement to create a .heprep file suitable for
+# viewing in HepRApp:
+#/vis/open HepRepFile
+#
+# Use this open statement to create a .wrl file suitable for
+# viewing in a VRML viewer:
+#/vis/open VRML2FILE
+#
+# Disable auto refresh and quieten vis messages whilst scene and
+# trajectories are established:
+/vis/viewer/set/autoRefresh false
+/vis/verbose errors
+#
+# Draw geometry:
+/vis/drawVolume
+#
+# Specify view angle:
 /vis/viewer/set/viewpointThetaPhi 90. 270.
-
-/tracking/storeTrajectory 1
-/vis/scene/add/trajectories
+#
+# Specify zoom value:
+#/vis/viewer/zoom 2.
+#
+# Specify style (surface or wireframe):
+#/vis/viewer/set/style wireframe
+#
+# Draw coordinate axes:
+#/vis/scene/add/axes 0 0 0 1 m
+#
+# Draw smooth trajectories at end of event, showing trajectory points
+# as markers 2 pixels wide:
+/vis/scene/add/trajectories smooth
+/vis/modeling/trajectories/create/drawByCharge
+/vis/modeling/trajectories/drawByCharge-0/default/setDrawStepPts true
+/vis/modeling/trajectories/drawByCharge-0/default/setStepPtsSize 2
+# (if too many tracks cause core dump => /tracking/storeTrajectory 0)
+#
+# Draw hits at end of event:
+#/vis/scene/add/hits
+#
+# To draw only gammas:
+#/vis/filtering/trajectories/create/particleFilter
+#/vis/filtering/trajectories/particleFilter-0/add gamma
+#
+# To invert the above, drawing all particles except gammas,
+# keep the above two lines but also add:
+#/vis/filtering/trajectories/particleFilter-0/invert true
+#
+# Many other options are available with /vis/modeling and /vis/filtering.
+# For example, to select colour by particle ID:
+#/vis/modeling/trajectories/create/drawByParticleID
+#/vis/modeling/trajectories/drawByParticleID-0/set e- blue
+#
+# To superimpose all of the events from a given run:
 /vis/scene/endOfEventAction accumulate
-#/vis/scene/endOfEventAction refresh
-
-
+#
+# Re-establish auto refreshing and verbosity:
+/vis/viewer/set/autoRefresh true
+/vis/verbose warnings
+#
+# For file-based drivers, use this to create an empty detector view:
+#/vis/viewer/flush
